Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs	(revision 51)
@@ -5,7 +5,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -79,13 +79,13 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool SelectAction(string AddSQLString, ref List<VehicleMaster> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成
                 strcmd = "SELECT";
 
                 strcmd += " VehicleCode";
@@ -96,11 +96,11 @@
                 strcmd += ",ModelCode";
                 strcmd += ",DepartmentCode";
                 strcmd += ",VehicleScheduleFlg";
-                strcmd += ",DATE_FORMAT(PurchaseDate, '%Y/%m/%d')";
+                strcmd += ",DATE_FORMAT(PurchaseDate, '%Y/%m/%d %H:%i:%s')";
                 strcmd += ",PurchaseName";
                 strcmd += ",PurchaseContactPersons";
                 strcmd += ",PurchasePhone";
-                strcmd += ",DATE_FORMAT(LeaseDate, '%Y/%m/%d')";
+                strcmd += ",DATE_FORMAT(LeaseDate, '%Y/%m/%d %H:%i:%s')";
                 strcmd += ",LeaseDestination";
                 strcmd += ",LeaseContactPersons";
                 strcmd += ",LeasePhone";
@@ -109,8 +109,8 @@
                 strcmd += ",InsurancePhone";
                 strcmd += ",Note";
 
-                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(EntryDate,'%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(UpdateDate,'%Y/%m/%d %H:%i:%s')";
                 strcmd += " FROM VehicleMaster";
                 strcmd += AddSQLString;
 
@@ -129,7 +129,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -162,11 +162,11 @@
                     strcmd += string.Format(",'{0}'", work.ModelCode);
                     strcmd += string.Format(", {0}", work.DepartmentCode.ToString());
                     strcmd += string.Format(", {0}", work.VehicleScheduleFlg.ToString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", work.PurchaseDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%dD')", work.PurchaseDate.ToShortDateString());
                     strcmd += string.Format(",'{0}'", work.PurchaseName);
                     strcmd += string.Format(",'{0}'", work.PurchaseContactPersons);
                     strcmd += string.Format(",'{0}'", work.PurchasePhone);
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", work.LeaseDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.LeaseDate.ToShortDateString());
                     strcmd += string.Format(",'{0}'", work.LeaseDestination);
                     strcmd += string.Format(",'{0}'", work.LeaseContactPersons);
                     strcmd += string.Format(",'{0}'", work.LeasePhone);
@@ -175,8 +175,8 @@
                     strcmd += string.Format(",'{0}'", work.InsurancePhone);
                     strcmd += string.Format(",'{0}'", work.Note);
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -185,7 +185,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -220,7 +220,7 @@
                 strcmd += string.Format(",PurchaseName = '{0}'", data.PurchaseName);
                 strcmd += string.Format(",PurchaseContactPersons = '{0}'", data.PurchaseContactPersons);
                 strcmd += string.Format(",PurchasePhone = '{0}'", data.PurchasePhone);
-                strcmd += string.Format(",LeaseDate = DATE_FORMAT('{0}','%Y/%m/%d %H:%i:%s')", data.LeaseDate.ToShortDateString());
+                strcmd += string.Format(",LeaseDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.LeaseDate.ToShortDateString());
                 strcmd += string.Format(",LeaseDestination = '{0}'", data.LeaseDestination);
                 strcmd += string.Format(",LeaseContactPersons = '{0}'", data.LeaseContactPersons);
                 strcmd += string.Format(",LeasePhone = '{0}'", data.LeasePhone);
@@ -230,7 +230,7 @@
                 strcmd += string.Format(",Note = '{0}'", data.Note);
 
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -239,7 +239,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -254,7 +254,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -266,17 +266,16 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
         #endregion
 
-        #region OracleDataReaderより構造体へセットする
+        #region 構造体へセットする
         /// <summary>
-        /// OracleDataReaderより構造体へセットする
+        /// 構造体へセットする
         /// </summary>
-        /// <param name="reader">OracleDataReader</param>
         /// <param name="wrk">構造体</param>
         public void Reader2Struct(object[] objwrk, ref VehicleMaster wrk)
         {
@@ -309,11 +308,11 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
         #endregion
@@ -354,11 +353,11 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
         #endregion
@@ -395,7 +394,7 @@
         /// <returns></returns>
         public int SelectMaxVehicleKeyCount(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
             int iRet = 0;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicleRecordData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicleRecordData.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicleRecordData.cs	(revision 51)
@@ -5,7 +5,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -66,19 +66,19 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool SelectAction(string AddSQLString, ref List<VehicleRecordData> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成
                 strcmd = "SELECT";
 
                 strcmd += " VehicleCode";
                 strcmd += ",DivisionCode";
                 strcmd += ",SeqNo";
-                strcmd += ",DATE_FORMAT(RecordDate, '%Y/%m/%d')";
+                strcmd += ",DATE_FORMAT(RecordDate, '%Y/%m/%d %H:%i:%s')";
                 strcmd += ",Mileage";
                 strcmd += ",Content";
                 strcmd += ",PaymentCost";
@@ -103,7 +103,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -129,13 +129,13 @@
                     strcmd += string.Format("  {0}", work.VehicleCode.ToString());
                     strcmd += string.Format(", {0}", work.DivisionCode.ToString());
                     strcmd += string.Format(", {0}", work.SeqNo.ToString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", work.RecordDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.RecordDate.ToShortDateString());
                     strcmd += string.Format(", {0}", work.Mileage.ToString());
                     strcmd += string.Format(",'{0}'", work.Content);
                     strcmd += string.Format(", {0}", work.PaymentCost.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -144,7 +144,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -168,12 +168,12 @@
                 strcmd += string.Format(" VehicleCode = {0}", data.VehicleCode.ToString());
                 strcmd += string.Format(",DivisionCode = {0}", data.DivisionCode.ToString());
                 strcmd += string.Format(",SeqNo = {0}", data.SeqNo.ToString());
-                strcmd += string.Format(",RecordDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.RecordDate.ToShortDateString());
+                strcmd += string.Format(",RecordDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.RecordDate.ToShortDateString());
                 strcmd += string.Format(",Mileage = {0}", data.Mileage.ToString());
                 strcmd += string.Format(",Content = '{0}'", data.Content);
                 strcmd += string.Format(",PaymentCost = {0}", data.PaymentCost.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -182,7 +182,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -196,7 +196,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -208,15 +208,14 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
 
         /// <summary>
-        /// OracleDataReaderより構造体へセットする
+        /// 構造体へセットする
         /// </summary>
-        /// <param name="reader">OracleDataReader</param>
         /// <param name="wrk">構造体</param>
         public void Reader2Struct(object[] objwrk, ref VehicleRecordData wrk)
         {
@@ -236,11 +235,11 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
 
@@ -280,7 +279,7 @@
         /// <returns></returns>
         public int SelectMaxVehicleKeyCount(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
             int iRet = 0;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialInfo.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialInfo.cs	(revision 51)
@@ -0,0 +1,314 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 資材情報アクセス
+    /// </summary>
+    public class IOMaterialInfo : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// フィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            MaterialItemCode = 0,
+            MaterialCount,
+            RentCount,
+            DeleteFlg,
+            ENTRY_DATE,
+            UPDATE_DATE
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOMaterialInfo()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+        #endregion
+
+        #region パブリックメソッド
+        /// <summary>
+        /// 検索
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool SelectAction(string AddSQLString, ref List<MaterialInfo> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = "SELECT";
+                strcmd += " MaterialItemCode, MaterialCount, RentCount, DeleteFlg";
+                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " FROM MaterialInfo";
+                strcmd += AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    MaterialInfo work = new MaterialInfo();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+
+        /// <summary>
+        /// 追加
+        /// </summary>
+        /// <param name="data">データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<MaterialInfo> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (MaterialInfo work in data)
+                {
+                    strcmd = "INSERT INTO MaterialInfo";
+
+                    strcmd += " VALUES (";
+
+                    strcmd += string.Format("  {0}", work.MaterialItemCode .ToString());
+                    strcmd += string.Format(", {0}", work.MaterialCount .ToString());
+                    strcmd += string.Format(", {0}", work.RentCount.ToString());
+                    strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
+
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd = strcmd + ")";
+
+                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, MaterialInfo data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE MaterialInfo";
+                strcmd += " SET";
+
+                strcmd += string.Format(" MaterialCount = {0}", data.MaterialCount.ToString());
+                strcmd += string.Format(",RentCount = {0}", data.RentCount.ToString());
+                strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
+
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = "Update MaterialInfo Set DeleteFlg = 1";
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref MaterialInfo wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.MaterialItemCode = int.Parse(objwrk[(int)NameColumn.MaterialItemCode].ToString());
+                wrk.MaterialCount = int.Parse(objwrk[(int)NameColumn.MaterialCount].ToString());
+                wrk.RentCount  = int.Parse(objwrk[(int)NameColumn.RentCount].ToString());
+                wrk.DeleteFlg = int.Parse(objwrk[(int)NameColumn.DeleteFlg].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+            }
+            catch (MySqlException oraex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+
+        #endregion
+
+        #region パブリックメソッド（特殊処理）
+
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="BusinessTypeCode"></param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int MaterialItemCode)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where MaterialItemCode = {0}", MaterialItemCode);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+
+
+
+        /// <summary>
+        /// 排他行ロック
+        /// </summary>
+        /// <param name="MaterialTypesCode"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool RowLockUpdate(int MaterialItemCode, bool bConnect = true)
+        {
+
+            //インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = string.Format("select * from MaterialInfo where MaterialItemCode = {0} for update;", MaterialItemCode);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+
+        }
+
+        /// <summary>
+        /// 共有行ロック
+        /// </summary>
+        /// <param name="MaterialTypesCode"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool RowLockShare(int MaterialItemCode, bool bConnect = true)
+        {
+
+            //インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = string.Format("select * from MaterialInfo where MaterialItemCode = {0} lock in share mode;", MaterialItemCode);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+
+        }
+
+        #endregion
+    }
+}
